* [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/swayfx/files/, gui-wm/swayfx/
@ 2024-05-05 15:22 Theo Donacik
0 siblings, 0 replies; 2+ messages in thread
From: Theo Donacik @ 2024-05-05 15:22 UTC (permalink / raw
To: gentoo-commits
commit: eb5b5bbf5faf8276cc2f19022d95f0420882c4c0
Author: Theo Donacik <theodonacik <AT> gmail <DOT> com>
AuthorDate: Sun May 5 15:21:20 2024 +0000
Commit: Theo Donacik <theodonacik <AT> gmail <DOT> com>
CommitDate: Sun May 5 15:21:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eb5b5bbf
gui-wm/swayfx: add 0.4
Signed-off-by: Theo Donacik <theodonacik <AT> gmail.com>
gui-wm/swayfx/Manifest | 1 +
gui-wm/swayfx/files/sway-portals.conf | 6 +++
gui-wm/swayfx/swayfx-0.4.ebuild | 93 +++++++++++++++++++++++++++++++++++
3 files changed, 100 insertions(+)
diff --git a/gui-wm/swayfx/Manifest b/gui-wm/swayfx/Manifest
index f48afef3e0..c3c1fd0744 100644
--- a/gui-wm/swayfx/Manifest
+++ b/gui-wm/swayfx/Manifest
@@ -1,3 +1,4 @@
DIST swayfx-0.2.tar.gz 5534158 BLAKE2B e01ac28ea24743d5fe937d953114c8316f3de27b7813f83cce0f6f76bf524f079357be810845791c4431db7e315f096411e6d7a0e2174673e4247d16e3e44bc1 SHA512 0884513a0851b19546f2cc647d8590c7d82494604028ed71b2e6fefbac7f3fff141be26e783ccc504b8da84bbed6c1e12a2194f0713c920e1cc34a6360ac318c
DIST swayfx-0.3.2.tar.gz 5684837 BLAKE2B ffe2a5d4a756f30007fb65824471196b6c51034a4e205558a82f547211714be8b0ae03763f32203c9d99fab4d3d69320f2244975a7c279d813091b8629d0c20a SHA512 0cffa25fc4b4d40621b14d9dc430f1aa9956ad935124cfda7dd1a63cbf997f0d506922b1168c7ad13250fa909cc1328526818f75ec936aa8d6cc40152dfbb358
DIST swayfx-0.3.tar.gz 5746551 BLAKE2B 6455416f54d9e36d33f2f17146c3f2c41ff77a154fcb49f12906c5ba5b2ced3eecb9f052423ad5916885a9e6602160a404bd9fe351272c34cc5b375656b75604 SHA512 a6054d167c9d41a6e3fe9247683267c40ac55637a565649724fad0d7caf340d8aa51ab65767a7f8becc0480eced1eb42a5c851dfc5d815a73c3ae99eb1c39572
+DIST swayfx-0.4.tar.gz 17603249 BLAKE2B eda975a0598ba9363066f015d0f5e1a5574775b5cb75a9cf9e7020d04ab16c236b5472b726c40ccd765bf743b6cd659323334915064ac887164b07b798cd58c5 SHA512 a6b30d5b466eb20ca1090daf442377f4f911a97e3089e2966420352c98a8e5b3384abb128118889b9b214f50e6bd65bb744ad941acb05ae105331e60a5e67293
diff --git a/gui-wm/swayfx/files/sway-portals.conf b/gui-wm/swayfx/files/sway-portals.conf
new file mode 100644
index 0000000000..aa046f63c4
--- /dev/null
+++ b/gui-wm/swayfx/files/sway-portals.conf
@@ -0,0 +1,6 @@
+[preferred]
+# Use xdg-desktop-portal-gtk for every portal interface...
+default=gtk
+# ... except for the ScreenCast and Screenshot
+org.freedesktop.impl.portal.ScreenCast=wlr
+org.freedesktop.impl.portal.Screenshot=wlr
diff --git a/gui-wm/swayfx/swayfx-0.4.ebuild b/gui-wm/swayfx/swayfx-0.4.ebuild
new file mode 100644
index 0000000000..19fd36a726
--- /dev/null
+++ b/gui-wm/swayfx/swayfx-0.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU Public License v2
+
+EAPI=8
+
+inherit meson optfeature
+
+DESCRIPTION="SwayFX: Sway, but with eye candy!"
+HOMEPAGE="https://github.com/WillPower3309/swayfx"
+
+SRC_URI="https://github.com/WillPower3309/swayfx/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="+man +swaybar +swaynag tray wallpapers X"
+
+DEPEND="
+ >=dev-libs/json-c-0.13:0=
+ >=dev-libs/libinput-1.21.0:0=
+ sys-auth/seatd:=
+ dev-libs/libpcre2
+ >=dev-libs/wayland-1.21.0
+ x11-libs/cairo
+ >=x11-libs/libxkbcommon-1.5.0
+ x11-libs/pango
+ x11-libs/pixman
+ gui-wm/scenefx
+ media-libs/mesa[gles2,libglvnd(+)]
+ swaybar? ( x11-libs/gdk-pixbuf:2 )
+ tray? ( || (
+ sys-apps/systemd
+ sys-auth/elogind
+ sys-libs/basu
+ ) )
+ wallpapers? ( gui-apps/swaybg[gdk-pixbuf(+)] )
+ X? ( x11-libs/libxcb:0=
+ x11-libs/xcb-util-wm
+ )
+"
+DEPEND+="
+ >=gui-libs/wlroots-0.17:=[X?]
+ <gui-libs/wlroots-0.18:=[X?]
+"
+
+RDEPEND="
+ x11-misc/xkeyboard-config
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.24
+ >=dev-build/meson-0.60.0
+ virtual/pkgconfig
+"
+BDEPEND+="man? ( >=app-text/scdoc-1.9.2 )"
+REQUIRED_USE="tray? ( swaybar )"
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature man man-pages)
+ $(meson_feature tray)
+ $(meson_feature X xwayland)
+ $(meson_feature swaybar gdk-pixbuf)
+ $(meson_use swaynag)
+ $(meson_use swaybar)
+ $(meson_use wallpapers default-wallpaper)
+ -Dfish-completions=true
+ -Dzsh-completions=true
+ -Dbash-completions=true
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ insinto /usr/share/xdg-desktop-portal
+ doins "${FILESDIR}/sway-portals.conf"
+}
+
+pkg_postinst() {
+ optfeature_header "There are several packages that may be useful with swayfx:"
+ optfeature "wallpaper utility" gui-apps/swaybg
+ optfeature "idle management utility" gui-apps/swayidle
+ optfeature "simple screen locker" gui-apps/swaylock
+ optfeature "lightweight notification daemon" gui-apps/mako
+ echo
+ einfo "For a list of additional addons and tools usable with sway please"
+ einfo "visit the offical wiki at:"
+ einfo "https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway"
+ einfo "Please note that some of them might not (yet) available on gentoo"
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/swayfx/files/, gui-wm/swayfx/
@ 2024-08-31 14:13 Takuya Wakazono
0 siblings, 0 replies; 2+ messages in thread
From: Takuya Wakazono @ 2024-08-31 14:13 UTC (permalink / raw
To: gentoo-commits
commit: 30851e02243b992f9bcaee7e418a3ccaffc4ba08
Author: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Sat Aug 31 14:09:24 2024 +0000
Commit: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
CommitDate: Sat Aug 31 14:09:24 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=30851e02
gui-wm/swayfx: drop 0.4
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>
...ng-able-to-build-without-xwayland-support.patch | 37 --------
gui-wm/swayfx/metadata.xml | 1 -
gui-wm/swayfx/swayfx-0.4.ebuild | 101 ---------------------
3 files changed, 139 deletions(-)
diff --git a/gui-wm/swayfx/files/swayfx-0.3.2-fix-not-being-able-to-build-without-xwayland-support.patch b/gui-wm/swayfx/files/swayfx-0.3.2-fix-not-being-able-to-build-without-xwayland-support.patch
deleted file mode 100644
index 4b7d4f3a9..000000000
--- a/gui-wm/swayfx/files/swayfx-0.3.2-fix-not-being-able-to-build-without-xwayland-support.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From c47aa61c64925c72722dfbfa01cd47643a92c7d9 Mon Sep 17 00:00:00 2001
-From: Erik Reider <35975961+ErikReider@users.noreply.github.com>
-Date: Sat, 29 Jul 2023 19:13:26 +0200
-Subject: [PATCH] fix: not being able to build without xwayland support (#209)
-
----
- sway/tree/root.c | 12 ++++++++----
- 1 file changed, 8 insertions(+), 4 deletions(-)
-
-diff --git a/sway/tree/root.c b/sway/tree/root.c
-index 2c1b96b8..9df6f002 100644
---- a/sway/tree/root.c
-+++ b/sway/tree/root.c
-@@ -58,12 +58,16 @@ void root_destroy(struct sway_root *root) {
- /* Set minimized state from scratchpad container `show` state */
- static void root_scratchpad_set_minimize(struct sway_container *con, bool minimize) {
- if (con->view) {
-- struct wlr_foreign_toplevel_handle_v1 *foreign_toplevel = con->view->foreign_toplevel;
--
-+#if HAVE_XWAYLAND
- if (wlr_surface_is_xwayland_surface(con->view->surface)) {
-- struct wlr_xwayland_surface *xsurface = wlr_xwayland_surface_from_wlr_surface(con->view->surface);
-+ struct wlr_xwayland_surface *xsurface
-+ = wlr_xwayland_surface_from_wlr_surface(con->view->surface);
- wlr_xwayland_surface_set_minimized(xsurface, minimize);
-- } else if (foreign_toplevel) {
-+ return;
-+ }
-+#endif
-+ struct wlr_foreign_toplevel_handle_v1 *foreign_toplevel = NULL;
-+ if ((foreign_toplevel = con->view->foreign_toplevel)) {
- wlr_foreign_toplevel_handle_v1_set_minimized(foreign_toplevel, minimize);
- }
- }
---
-2.43.2
-
diff --git a/gui-wm/swayfx/metadata.xml b/gui-wm/swayfx/metadata.xml
index af28f9a6f..944f08dc2 100644
--- a/gui-wm/swayfx/metadata.xml
+++ b/gui-wm/swayfx/metadata.xml
@@ -18,7 +18,6 @@
something else. Swayfx is a fork intending to bring more effects to sway.
</longdescription>
<use>
- <flag name="grimshot">Install 'grimshot': script for taking screenshots</flag>
<flag name="swaybar">Install 'swaybar': sway's status bar component</flag>
<flag name="swaynag">Install 'swaynag': shows a message with buttons</flag>
<flag name="tray">Enable support for StatusNotifierItem tray specification</flag>
diff --git a/gui-wm/swayfx/swayfx-0.4.ebuild b/gui-wm/swayfx/swayfx-0.4.ebuild
deleted file mode 100644
index 04ab7456d..000000000
--- a/gui-wm/swayfx/swayfx-0.4.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU Public License v2
-
-EAPI=8
-
-inherit fcaps meson optfeature
-
-DESCRIPTION="SwayFX: Sway, but with eye candy!"
-HOMEPAGE="https://github.com/WillPower3309/swayfx"
-SRC_URI="https://github.com/WillPower3309/swayfx/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${PN}-${PV}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-IUSE="+man +swaybar +swaynag tray wallpapers X"
-REQUIRED_USE="tray? ( swaybar )"
-
-DEPEND="
- >=dev-libs/json-c-0.13:0=
- >=dev-libs/libinput-1.21.0:0=
- virtual/libudev
- sys-auth/seatd:=
- dev-libs/libpcre2
- >=dev-libs/wayland-1.21.0
- x11-libs/cairo
- >=x11-libs/libxkbcommon-1.5.0
- x11-libs/pango
- x11-libs/pixman
- gui-libs/scenefx
- media-libs/mesa[gles2,libglvnd(+)]
- swaybar? ( x11-libs/gdk-pixbuf:2 )
- tray? ( || (
- sys-apps/systemd
- sys-auth/elogind
- sys-libs/basu
- ) )
- wallpapers? ( gui-apps/swaybg[gdk-pixbuf(+)] )
- X? ( x11-libs/libxcb:0=
- x11-libs/xcb-util-wm
- )
-"
-DEPEND+="
- >=gui-libs/wlroots-0.17:=[X?]
- <gui-libs/wlroots-0.18:=[X?]
-"
-
-RDEPEND="
- dev-libs/glib
- dev-libs/libevdev
- x11-misc/xkeyboard-config
- ${DEPEND}
-"
-BDEPEND="
- >=dev-libs/wayland-protocols-1.24
- >=dev-build/meson-0.60.0
- virtual/pkgconfig
-"
-BDEPEND+="man? ( >=app-text/scdoc-1.9.2 )"
-
-FILECAPS=(
- cap_sys_nice usr/bin/sway # reflect ">=gui-wm/sway-1.9"
-)
-
-src_configure() {
- local emesonargs=(
- $(meson_feature man man-pages)
- $(meson_feature tray)
- $(meson_feature X xwayland)
- $(meson_feature swaybar gdk-pixbuf)
- $(meson_use swaynag)
- $(meson_use swaybar)
- $(meson_use wallpapers default-wallpaper)
- -Dfish-completions=true
- -Dzsh-completions=true
- -Dbash-completions=true
- )
-
- meson_src_configure
-}
-
-src_install() {
- meson_src_install
- insinto /usr/share/xdg-desktop-portal
- doins "${FILESDIR}/sway-portals.conf"
-}
-
-pkg_postinst() {
- fcaps_pkg_postinst
-
- optfeature_header "There are several packages that may be useful with swayfx:"
- optfeature "wallpaper utility" gui-apps/swaybg
- optfeature "idle management utility" gui-apps/swayidle
- optfeature "simple screen locker" gui-apps/swaylock
- optfeature "lightweight notification daemon" gui-apps/mako
- echo
- einfo "For a list of additional addons and tools usable with sway please"
- einfo "visit the offical wiki at:"
- einfo "https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway"
- einfo "Please note that some of them might not (yet) available on gentoo"
-}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2024-08-31 14:13 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-05-05 15:22 [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/swayfx/files/, gui-wm/swayfx/ Theo Donacik
-- strict thread matches above, loose matches on Subject: below --
2024-08-31 14:13 Takuya Wakazono
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox